nl.topicus.jdbc.xa

## Class CloudSpannerXAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.transaction.xa.XAException
      - - nl.topicus.jdbc.xa.CloudSpannerXAException

All Implemented Interfaces:
  Serializable

    public class CloudSpannerXAException
    extends XAException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.transaction.xa.XAException

`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

### Constructor Summary

Constructors
Constructor and Description
`CloudSpannerXAException(String message, CloudSpannerSQLException cause, int errorCode)`
`CloudSpannerXAException(String message, com.google.rpc.Code code, int errorCode)`
`CloudSpannerXAException(String message, Throwable cause, com.google.rpc.Code code, int errorCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.rpc.Code` `getCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudSpannerXAException

    public CloudSpannerXAException(String message,
                                   com.google.rpc.Code code,
                                   int errorCode)

#### CloudSpannerXAException

    public CloudSpannerXAException(String message,
                                   Throwable cause,
                                   com.google.rpc.Code code,
                                   int errorCode)

#### CloudSpannerXAException

    public CloudSpannerXAException(String message,
                                   CloudSpannerSQLException cause,
                                   int errorCode)

### Method Detail

#### getCode

    public com.google.rpc.Code getCode()